Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 257918 - dev-libs/xmlwrapp-0.5.0-r1 does not link correctly with libs
Summary: dev-libs/xmlwrapp-0.5.0-r1 does not link correctly with libs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: C++ Team [disbanded]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: as-needed
  Show dependency tree
 
Reported: 2009-02-06 18:09 UTC by Timothy Redaelli (RETIRED)
Modified: 2010-06-20 12:24 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
files/xmlwrapp-0.5.0-undefined.patch (xmlwrapp-0.5.0-undefined.patch,4.54 KB, patch)
2009-02-06 18:10 UTC, Timothy Redaelli (RETIRED)
Details | Diff
files/xmlwrapp-0.5.0-undefined.patch (xmlwrapp-0.5.0-undefined.patch,2.58 KB, patch)
2009-02-06 18:11 UTC, Timothy Redaelli (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Redaelli (RETIRED) gentoo-dev 2009-02-06 18:09:18 UTC
If you try to set LDFLAGS="-Wl,--no-undefined" xmlwrapp does not compile (link problems) 

Reproducible: Always

Steps to Reproduce:
Comment 1 Timothy Redaelli (RETIRED) gentoo-dev 2009-02-06 18:10:04 UTC
Created attachment 181182 [details, diff]
files/xmlwrapp-0.5.0-undefined.patch
Comment 2 Timothy Redaelli (RETIRED) gentoo-dev 2009-02-06 18:11:32 UTC
Created attachment 181183 [details, diff]
files/xmlwrapp-0.5.0-undefined.patch

Better patch :)
Comment 3 REMOVED ACCOUNT 2009-05-12 11:30:32 UTC
This is fixed in xmlwrapp-0.6.0 upstream.
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2010-06-20 12:24:37 UTC
Bumped to 0.6.2

Forced as-needed in not an issue anymore